OGRE: Ogre::GpuProgramTranslator Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::GpuProgramTranslator Class Reference
Core » General

`#include <OgreScriptTranslator.h>`

Inheritance diagram for Ogre::GpuProgramTranslator:
[legend]

## Public Member Functions
| GpuProgramTranslator ()
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | translate (ScriptCompiler *compiler, const AbstractNodePtr &node)
| This function translates the given node into Ogre resource(s). More...

## Static Public Member Functions
static void | translateProgramParameters (ScriptCompiler *compiler, GpuProgramParametersSharedPtr params, ObjectAbstractNode *obj)

## Constructor & Destructor Documentation

## ◆ GpuProgramTranslator()

Ogre::GpuProgramTranslator::GpuProgramTranslator | ( |  | ) |

## Member Function Documentation

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ translate()

void Ogre::GpuProgramTranslator::translate | ( | ScriptCompiler * | compiler,
|  | const AbstractNodePtr & | node
| ) |  |
| virtual

This function translates the given node into Ogre resource(s).

Parameters

  compiler | The compiler invoking this translator
  node | The current AST node to be translated

Implements Ogre::ScriptTranslator.

## ◆ translateProgramParameters()

static void Ogre::GpuProgramTranslator::translateProgramParameters | ( | ScriptCompiler * | compiler,
|  | GpuProgramParametersSharedPtr | params,
|  | ObjectAbstractNode * | obj
| ) |  |
| static

The documentation for this class was generated from the following file:

- OgreScriptTranslator.h